## Apache Zeta Components Manual :: Docs For Class ezcLogEntry

### EventLog::ezcLogEntry

### Class ezcLogEntry

File containing the ezcLogEntry class.

The ezcLogEntry class provides a structure to represent a log entry with all data passed to ezcLog::log().

This class is used for entries hold by the ezcLogStackWriter.

Source for this file: /EventLog/src/structs/log_entry.php

    ezcBaseStruct
       |
       --ezcLogEntry

Version: | //autogentag//

### Member Variables

public string | `$category` The category of the log message.
public string | `$message` The textual log message.
public array | `$optional` Optional informations
public int | `$severity` Severity of the log message.
public string | `$source` The source of the log message.
public int | `$timestamp` The timestamp of the moment when this object was created

### Method Summary

public static ezcLogEntry | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcLogEntry | `__construct( [ $message = ''] , [ $severity = 0] , [ $source = ''] , [ $category = ''] , [ $optional = array()] , [ $timestamp = null] )` Constructs a new ezcLogEntry.

### Methods

#### __set_state

static ezcLogEntry __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcLogEntry __construct( [string $message = ''] , [int $severity = 0] , [string $source = ''] , [string $category = ''] , [array $optional = array()] , [int $timestamp = null] )

Constructs a new ezcLogEntry.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |
`$severity` | int |
`$source` | string |
`$category` | string |
`$optional` | array |
`$timestamp` | int |

Documentation generated by phpDocumentor 1.4.3